Bug 469560 - Review Request: pympdtouchgui - mpd client designed for touchscreens
Review Request: pympdtouchgui - mpd client designed for touchscreens
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 08:57 EST by Sven Lankes
Modified: 2008-12-02 20:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 20:29:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sven Lankes 2008-11-02 08:57:52 EST
Spec URL: http://sven.lank.es/Fedora/SPECS/pympdtouchgui.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/pympdtouchgui-0.302-1.fc10.src.rpm
Description: pympdtouchgui is a client for MPD (Music Player Daemon) that is usable via touchscreen and will run on embedded-systems without X (but works with X and a mouse, too).
Comment 1 Sven Lankes 2008-11-02 09:23:45 EST
Minor update - use docfiles from tarball instead of those installed by setup.py

Spec URL: http://sven.lank.es/Fedora/SPECS/pympdtouchgui.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/pympdtouchgui-0.302-2.fc10.src.rpm
Comment 2 Sven Lankes 2008-11-02 09:40:14 EST
Another minor update - this time the installed rpm actually works (default theme was installed to the wrong directory)

Spec URL: http://sven.lank.es/Fedora/SPECS/pympdtouchgui.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/pympdtouchgui-0.302-3.fc10.src.rpm
Comment 3 Gwyn Ciesla 2008-11-03 14:52:01 EST
MUST: rpmlint must be run on every package. The output should be posted in the review.

Clean.

- MUST: The package must be named according to the Package Naming Guidelines .

OK.

- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .

OK.

- MUST: The package must meet the Packaging Guidelines .

OK.

- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

OK.

- MUST: The License field in the package spec file must match the actual license.

OK.

- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

OK.

- MUST: The spec file must be written in American English.

OK.

- MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).

OK.

- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

OK.

- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.

OK.

- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64

OK.

- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

OK.

- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

OK.

- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. If the package has multiple subpackages with libraries, each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

NA.

- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

NA.

- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.

OK.

- MUST: A package must not contain any duplicate files in the %files listing.

OK.

- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

OK.

- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

OK.

- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .

OK.

- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .

OK.

- MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)

OK.

- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

OK.

- MUST: Header files must be in a -devel package.

NA.

- MUST: Static libraries must be in a -static package.

NA.

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).

NA.

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

NA.

- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

NA.

- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.

NA.

- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. This is described in detail in the desktop files section of the Packaging Guidelines . If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

Would this not benefit from a .desktop file, if only to allow people to demo the program easily?

- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

OK.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.

OK.

- MUST: All filenames in rpm packages must be valid UTF-8.

OK.

Summary: .desktop question.

Also, rename setuppy-patch to pympdtouchgui-setuppy.patch to avoid SRPM clobber.
Comment 4 Sven Lankes 2008-11-03 15:34:49 EST
> Would this not benefit from a .desktop file, if only to allow 
> people to demo the program easily?

You're probably right. I have now included one.

Also the patch is renamed.

Spec URL: http://sven.lank.es/Fedora/SPECS/pympdtouchgui.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/pympdtouchgui-0.302-4.fc10.src.rpm
Comment 5 Sven Lankes 2008-11-03 15:36:40 EST
Note: pympdtouchgui doesn't currently have an icon - this will be fixed in a future release.
Comment 6 Gwyn Ciesla 2008-11-03 16:23:18 EST
Not in the guidelines yet, but it's approved:

>--vendor=fedora should not be used for new packages, use --vendor="" instead to 
>get desktop-file-install to install the .desktop file without prepending a 
>vendor prefix.
>
>        Kevin Kofler


You could make an icon.  What I've done many times is take a screenshot of the app, choose something representative, and crop it down to the desired size, and save as a .png.  I used the airplane from apricots, and a cluster of particles from xgrav.
Comment 7 Sven Lankes 2008-11-03 17:12:50 EST
.desktop-file ist fixed. I have also added an icon made from the "play"-button of pympdtouchgui. This is the best I can come up with and it doesn't look too ugly in the menu ...

Spec URL: http://sven.lank.es/Fedora/SPECS/pympdtouchgui.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/pympdtouchgui-0.302-5.fc10.src.rpm
Comment 8 Gwyn Ciesla 2008-11-04 11:20:32 EST
Looks great.  I like the icon.

APPROVED.
Comment 9 Sven Lankes 2008-11-04 11:39:14 EST
New Package CVS Request
=======================
Package Name: pympdtouchgui
Short Description: mpd client designed for touchscreens
Owners: slankes
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-11-05 17:35:43 EST
cvs done.
Comment 11 Fedora Update System 2008-11-05 19:00:58 EST
pympdtouchgui-0.302-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pympdtouchgui-0.302-5.fc10
Comment 12 Fedora Update System 2008-11-22 11:50:59 EST
pympdtouchgui-0.302-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pympdtouchgui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 13 Fedora Update System 2008-12-02 20:29:03 EST
pympdtouchgui-0.302-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.